curl https://gateway.obiguard.ai/v1/images/generations \
-H "Content-Type: application/json" \
-H "x-obiguard-api-key: $OBIGUARD_API_KEY" \
-d '{
"model": "dall-e-3",
"prompt": "A cute baby sea otter",
"n": 1,
"size": "1024x1024"
}'from obiguard import Obiguard
client = Obiguard(
obiguard_api_key="vk-obg***", # Your Obiguard virtual key
)
client.images.generate(
model="dall-e-3",
prompt="A cute baby sea otter",
n=1,
size="1024x1024"
)
const options = {
method: 'POST',
headers: {'x-obiguard-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'A cute baby sea otter',
model: 'dall-e-3',
n: 1,
quality: 'standard',
response_format: 'url',
size: '1024x1024',
style: 'vivid',
user: 'user-1234'
})
};
fetch('https://gateway.obiguard.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"b64_json": "<string>",
"url": "<string>",
"revised_prompt": "<string>"
}
]
}Create Image
curl https://gateway.obiguard.ai/v1/images/generations \
-H "Content-Type: application/json" \
-H "x-obiguard-api-key: $OBIGUARD_API_KEY" \
-d '{
"model": "dall-e-3",
"prompt": "A cute baby sea otter",
"n": 1,
"size": "1024x1024"
}'from obiguard import Obiguard
client = Obiguard(
obiguard_api_key="vk-obg***", # Your Obiguard virtual key
)
client.images.generate(
model="dall-e-3",
prompt="A cute baby sea otter",
n=1,
size="1024x1024"
)
const options = {
method: 'POST',
headers: {'x-obiguard-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'A cute baby sea otter',
model: 'dall-e-3',
n: 1,
quality: 'standard',
response_format: 'url',
size: '1024x1024',
style: 'vivid',
user: 'user-1234'
})
};
fetch('https://gateway.obiguard.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"b64_json": "<string>",
"url": "<string>",
"revised_prompt": "<string>"
}
]
}Authorizations
Body
A text description of the desired image(s). The maximum length is 1000 characters for dall-e-2 and 4000 characters for dall-e-3.
"A cute baby sea otter"
The model to use for image generation.
"dall-e-3"
The number of images to generate. Must be between 1 and 10. For dall-e-3, only n=1 is supported.
1 <= x <= 101
The quality of the image that will be generated. hd creates images with finer details and greater consistency across the image. This param is only supported for dall-e-3.
standard, hd "standard"
The format in which the generated images are returned. Must be one of url or b64_json. URLs are only valid for 60 minutes after the image has been generated.
url, b64_json "url"
The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024 for dall-e-2. Must be one of 1024x1024, 1792x1024, or 1024x1792 for dall-e-3 models.
256x256, 512x512, 1024x1024, 1792x1024, 1024x1792 "1024x1024"
The style of the generated images. Must be one of vivid or natural. Vivid causes the model to lean towards generating hyper-real and dramatic images. Natural causes the model to produce more natural, less hyper-real looking images. This param is only supported for dall-e-3.
vivid, natural "vivid"
A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.
"user-1234"

